de.stefan1200.jts3servermod.interfaces

## Interface HandleTS3Events

-     public interface HandleTS3Events

  If your plugin has chat commands or is registered for Teamspeak 3 server or channel events, your plugin has to implement this interface!
  The author of the JTS3ServerMod is not responsible for any damage or data loss!
  E-Mail:
  info@stefan1200.de
  Homepage:
  http://www.stefan1200.de
  Author:
    Stefan Martens

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `botChatCommandHelp(String command)` Return the help text of the given chat command or `null` if the given chat command does not exist.
    `String[]` | `botChatCommandList(HashMap<String,String> eventInfo, boolean isFullAdmin, boolean isAdmin)` Return a list of chat commands as String array for this client or `null` if there are no chat commands.
    `boolean` | `handleChatCommands(String msg, HashMap<String,String> eventInfo, boolean isFullAdmin, boolean isAdmin)` This method will be called by the bot, if a chat command for this plugin was received.
    `void` | `handleTS3Events(String eventType, HashMap<String,String> eventInfo)` If the plugin is registered for receiving Teamspeak 3 channel or server events, this function will be called after receiving an event.

- - ### Method Detail

    - #### botChatCommandHelp

          String botChatCommandHelp(String command)

      Return the help text of the given chat command or `null` if the given chat command does not exist.
      Parameters:
        `command` - Chat command
      Returns:
        Help text of the given chat command.

    - #### botChatCommandList

          String[] botChatCommandList(HashMap<String,String> eventInfo,
                                      boolean isFullAdmin,
                                      boolean isAdmin)

      Return a list of chat commands as String array for this client or `null` if there are no chat commands.
      Parameters:
        `eventInfo` - Information about the client who asked for the chat command list.
        `isFullAdmin` - `true` if client is a bot full admin.
        `isAdmin` - `true` if client is a bot admin.
      Returns:
        A list of chat commands.

    - #### handleChatCommands

          boolean handleChatCommands(String msg,
                                     HashMap<String,String> eventInfo,
                                     boolean isFullAdmin,
                                     boolean isAdmin)

      This method will be called by the bot, if a chat command for this plugin was received.
      Parameters:
        `msg` - The received chat command
        `eventInfo` - Information about the client sending that chat command
        `isFullAdmin` - `true` if client is a bot full admin.
        `isAdmin` - `true` if client is a client bot admin.
      Returns:
        `true` if the chat command was valid and the plugin was enabled, `false` if not.

    - #### handleTS3Events

          void handleTS3Events(String eventType,
                               HashMap<String,String> eventInfo)

      If the plugin is registered for receiving Teamspeak 3 channel or server events, this function will be called after receiving an event.
      Following event types can occur:
      `notifyserveredited` - Server properties was edited
      `notifycliententerview` - Client join server
      `notifyclientleftview` - Client left server
      `notifyclientmoved` - Client was moved or switched channel
      `notifychannelcreated` - Channel was created
      `notifychanneledited` - Channel properties was edited
      `notifychanneldeleted` - Channel was deleted
      Parameters:
        `eventType` - Event type, look description above.
        `eventInfo` - HashMap with information about the event and who triggered it.
      See Also:
        `JTS3ServerMod_Interface.addTS3ChannelEvent(Object)`, `JTS3ServerMod_Interface.addTS3ServerEvent(Object)`